Bug 100094 - Format-Character-Hyperlink doesn't show hyperlink (see Comment 2)
Summary: Format-Character-Hyperlink doesn't show hyperlink (see Comment 2)
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.3.0.4 release
Hardware: All All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.1.6 target:5.2.2
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2016-05-27 18:04 UTC by Fernand
Modified: 2016-09-01 10:03 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fernand 2016-05-27 18:04:26 UTC
regression
Opening and saving a doc coming from 4.0 remove he existing Hyperlinks.
Using the UI Character Formating "Hyperlink" do not works anymore and could 
destroys the HyperlinkURL on the formated Characters.

>insert a Hyperlink using ctrl-K
>gives the Hyperlink a Name 
>save the doc 
>reselect the text with the hyperlink on it
>Use the UI to format the selected characters the UI shows a empty HyperlinkURL field and a empty HyperlinkName field.
Reentering t a HyperlinkURL will destroy the exting Hyperlink because the Hyperlink Name go's to the Hyperlink URL property.
Using xray on the selected text shows that the formating UI mixtup the HyperlinkURL and the HyperlinkName properties when using the formating UI to put a hyperlink on the selected characters!
When UI puts content off the Hyperlinkname field in the HyperlinkURL property
the HyperlinkURL  is removed by the UI on opening because not seen as a valid Hyperlink !!
Comment 1 Buovjaga 2016-05-31 05:42:46 UTC
Set to NEEDINFO.
Change back to UNCONFIRMED after you have provided an example document.
Comment 2 Timur 2016-08-15 09:41:40 UTC
This bug is valid, but the description is confusing, so I'll rewrite. It's a regression from 4.3. Saving is not mandatory.

Reproduction scenario in Writer document:
1. write some text, like "Htext"
2. select that text and insert hyperlink (with Hyperlink toolbar button or Format-Character-Hyperlink or Ctrl-K)and add Name, like "Hname"
3. select just text "Htext" (with mouse or keyboard) and select Format-Character-Hyperlink
4. bug: note that URL doesn't point to hyperlink and "Hname" is there instead (or it's empty if we didn't add "Hname" in step 2)
5. additionally: if we delete "Hname" from URL and OK, hyperlink is lost

Expected: hyperlink is still there after step 3., like when we select text and right-click Edit Hyperlink..
Comment 3 Aron Budea 2016-08-30 07:29:50 UTC
# bad: [74b89c3193673ba9897dc4a4541500ef6e8d9bf7] source-hash-8f97326bdd3f42fc82aa5e1989fd03b0af1daf64
# good: [9c392cfdfe6e9a9bce98555ea989283a957aa3ad] source-hash-fc8f44e82de4ebdd50ac5fbb9207cd1a59a927e3
git bisect start 'latest' 'oldest'
# bad: [e289d9d328719fd70e9a2680fd0e4f586a97b3be] source-hash-3c0a7cf4f67720f2cca2c4eb543f838d5b644e7f
git bisect bad e289d9d328719fd70e9a2680fd0e4f586a97b3be
# bad: [0327d0bc45d60df0d1c8ac2470cf252b6bb8f780] source-hash-38fed70782ae6ac6b0282897c7abc6fa33a6de9e
git bisect bad 0327d0bc45d60df0d1c8ac2470cf252b6bb8f780
# good: [130c0f90cdc74b7300c74ee7d49c459ea8b8c4f4] source-hash-4a969ac35174520f1ffeb4f919f5d7bb6d99a628
git bisect good 130c0f90cdc74b7300c74ee7d49c459ea8b8c4f4
# bad: [1da4e86b6024553eadebfbcd00fd147590ec778f] source-hash-766f718ebb4deda1a294cc1cfe137a75dfb0f6f8
git bisect bad 1da4e86b6024553eadebfbcd00fd147590ec778f
# good: [3f24b08f3de68d19167544b0648501a4e41b5ea2] source-hash-0127e3dbabaf24c6c0d828e6d26357ff0b63c3fb
git bisect good 3f24b08f3de68d19167544b0648501a4e41b5ea2
# good: [c4d0d76316397d0b66c8b5535458a7bfae5eca96] source-hash-5ab1fb926e984780380665ae185646b603292a6e
git bisect good c4d0d76316397d0b66c8b5535458a7bfae5eca96
# bad: [76a24a072b180e5ae0480951ca52d14a5c2a8a14] source-hash-76a0b3170664b19c3eb66edc8fccb04dc5485387
git bisect bad 76a24a072b180e5ae0480951ca52d14a5c2a8a14
# bad: [edf70f6ac67f3392fe975d8cdb91d3393a6ccbd5] source-hash-8471b35688d82181e8cd68095fb98d16d3cd7784
git bisect bad edf70f6ac67f3392fe975d8cdb91d3393a6ccbd5
# bad: [c7761459d49ced9bb51badab0871f01ed60ac8f3] source-hash-deb39c012031b7981360665cc19dc81d3342a3ad
git bisect bad c7761459d49ced9bb51badab0871f01ed60ac8f3
# bad: [be99e69c21455152fbf87b2f97f3d3ca7e0a4f52] source-hash-baf112e6f085c4e13ece0028a9c40f41d8ced308
git bisect bad be99e69c21455152fbf87b2f97f3d3ca7e0a4f52
# bad: [65c3dc3351d8bb3764c006716a7b998e11e0ccef] source-hash-6af2caab7271e11d9501fd6a597e05194d33fd10
git bisect bad 65c3dc3351d8bb3764c006716a7b998e11e0ccef
# good: [f68e4b6aa53d3b05d0e16e988fa87777bf928fbe] source-hash-224da5bcde2a62d375490456f717e5c2a639a802
git bisect good f68e4b6aa53d3b05d0e16e988fa87777bf928fbe
# bad: [8c64841bd15bd13f45918ef14d1996a1bb81917d] source-hash-57ded88656b548063cc000628920a601f0c708f6
git bisect bad 8c64841bd15bd13f45918ef14d1996a1bb81917d
# bad: [b24be6ecbf2cc7336fa68528ac158199855b2c14] source-hash-74593273655e475017bb2bd45aba3c6b132e372d
git bisect bad b24be6ecbf2cc7336fa68528ac158199855b2c14
# first bad commit: [b24be6ecbf2cc7336fa68528ac158199855b2c14] source-hash-74593273655e475017bb2bd45aba3c6b132e372d
Comment 4 Aron Budea 2016-08-30 07:33:33 UTC
I assume the commit is from OOo, so Caolán, I'm leaving this to you.

b24be6ecbf2cc7336fa68528ac158199855b2c14 is the first bad commit
commit b24be6ecbf2cc7336fa68528ac158199855b2c14
Author: Matthew Francis <mjay.francis@gmail.com>
Date:   Thu May 28 18:10:41 2015 +0800

    source-hash-74593273655e475017bb2bd45aba3c6b132e372d
    
    commit 74593273655e475017bb2bd45aba3c6b132e372d
    Author:     Oliver-Rainer Wittmann <orw@apache.org>
    AuthorDate: Thu Jan 9 12:59:28 2014 +0000
    Commit:     Caolán McNamara <caolanm@redhat.com>
    CommitDate: Thu Jan 9 15:32:21 2014 +0000
    
        Resolves: #i123988# assure that hyperlink attribute...
    
        (<SwFmtINetFmt>) always provides character style names for visited and
        unvisited state
    
        (cherry picked from commit c15b814d6e8ea429287def9a0bf3ac71db414119)
    
        Conflicts:
        	sw/inc/fmtinfmt.hxx
        	sw/source/core/doc/doctxm.cxx
        	sw/source/core/txtnode/fmtatr2.cxx
        	sw/source/core/txtnode/txtatr2.cxx
        	sw/source/filter/ww8/ww8atr.cxx
        	sw/source/filter/ww8/ww8par5.cxx
        	sw/source/ui/chrdlg/chardlg.cxx
        	sw/source/ui/shells/txtattr.cxx
    
        Change-Id: Ib23d55a299d0d78a2eba18dd5c1c0327c816da56
Comment 5 Commit Notification 2016-08-31 13:31:14 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=98294d715c72751d9dd47fd1995865e04b2bdf5a

Resolves: tdf#100094 hyperlink tabpage put hyperlink name in wrong field

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-09-01 10:01:46 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=a7b4f0efb90417922bfed3fc257ea7d02500c444&h=libreoffice-5-1

Resolves: tdf#100094 hyperlink tabpage put hyperlink name in wrong field

It will be available in 5.1.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 Commit Notification 2016-09-01 10:03:23 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b9939b0642afefe96ae33cd964d6726dc405843d&h=libreoffice-5-2

Resolves: tdf#100094 hyperlink tabpage put hyperlink name in wrong field

It will be available in 5.2.2.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.